﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
'#Region Shared Files

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	'Private txtField As B4XFloatTextField
	Private FileHandler1 As FileHandler
	Private toast As BCToast
	Public chainetexte, varchaine, line, SecCol, IDchaine As String
	Public IDfiltre() As Byte 
	Public qindx As Int
	Public reader As TextReader
	#if B4A
	Private ime As IME 'ignore
	#end if
	Private Label1, Label2, Label3, labelitem, labelCSV As Label
	Private increm As Int
	Private stringList, mylist1, listcol2, listitems1, listitems2 As List
	Private clv1, clv2 As CustomListView	
	Type tListItem(Eintrag1 As String, Eintrag2 As String)
	Private mystring(2048) As String
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	B4XPages.SetTitle(Me, "Text Editor")
	
	FileHandler1.Initialize
	toast.Initialize(Root)
	
	stringList.Initialize
	mylist1.Initialize
	listcol2.initialize
	listitems1.Initialize
	listitems2.Initialize
	clv1.Clear
	clv2.clear
End Sub

Private Sub HandleLoadResult(Result As LoadResult)
	If Result.Success Then
		Try
'			Dim reader As TextReader
			reader.Initialize(File.OpenInput(Result.Dir, Result.FileName))			
			line = reader.ReadLine

			Do While line <> Null
				line = reader.ReadLine
				stringList.Add(line)
			Loop
			reader.Close
			toast.Show($"File '${Result.RealName}' loaded"$)
		Catch
			chainetexte = "Error loading file"
		End Try
	End If

End Sub

Private Sub Button1_Click	 'list + 1
	
	If stringList.Get(0) <> Null Then
			
		labelCSV.Text = stringList.Get(0)
		varchaine = stringList.Get(0)
		Sleep(0)
		stringList.RemoveAt(0)
	Else
		Return
	End If
	
	increm = increm +1		' nombre lignes dans le CSV

	Label1.Text = increm	
	mystring = Regex.Split(",", stringList.Get(0))
	Label2.Text = mystring(1)
	
End Sub

Private Sub Button2_Click ' RAZ
	increm = 0
	Label1.text = increm
	qindx = 0
	Label3.Text = qindx
End Sub

Private Sub BtnSave_Click
		#if B4A
	'txtField.textfield.enabled = True
	'Dim b() As Byte = txtField.Text.GetBytes("UTF8")
	Dim in As InputStream
	'in.InitializeFromBytesArray(b, 0, b.Length)
	Wait For (FileHandler1.SaveAs(in, "text/plain", "NewFile.txt")) Complete (Success As Boolean)
	#else if B4i
	Wait For (FileHandler1.SaveAs(Me, B4XPages.GetNativeParent(Me).TopRightButtons.Get(0), txtField.Text)) Complete (Success As Boolean)
	#end if
	If Success Then
		toast.Show("File saved successfully")
	Else
		toast.Show("File not saved")
	End If
End Sub

Private Sub LoadCSV_Click	
	#if B4A
	Wait For (FileHandler1.Load) Complete (Result As LoadResult)
	#else if B4i
	Wait For (FileHandler1.Load(Me, B4XPages.GetNativeParent(Me).TopRightButtons.Get(1))) Complete (Result As LoadResult)
	#end if
	'txtField.textfield.enabled = True
	HandleLoadResult(Result)
End Sub

private Sub loadlist_Click

	Do While line <> Null
		line = reader.ReadLine
		stringList.Add(line)				
		increm = increm +1		' nombre lignes dans le CSV
Loop
reader.Close
	
	If stringList.Size = 0 Then
		Return
		Else

	Dim ligne As String = stringList.Get(1)
	Dim temp() As String
	temp = Regex.Split(",",ligne)
	clv1.AddTextItem(" " &temp(0),increm)
	clv2.AddTextItem(" " &temp(1),increm)
	End If
	
End Sub

Sub CLV1_ItemClick (Index As Int, Value As Byte)
	Dim xCLVItem As String

	xCLVItem = Value
	Log(xCLVItem) 'Print the label text in the logs
	Log(Index)
	
End Sub

